fotoxx (20.10-1dhor~bionic) bionic; urgency=medium

  * Phone Home: user choice dialog is presented at first install.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 10 Mar 2020 06:01:10 +0100

fotoxx (20.09-1dhor~bionic) bionic; urgency=medium

  * Phone Home: send last message if user turns off statistics update.
  * minor correction in user guide.
  * add Portuguese translation

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 02 Mar 2020 20:15:11 +0100

fotoxx (20.06-1dhor~bionic) bionic; urgency=medium

  * Version 20.06 Feb 10 2020
  * minor change in image zoom from mouse wheel
  * Trim/Rotate: better logic to decide if mouse drag trims or levels image.
  * Raw Therapee: search for the .tif output file in all top image folders.
  * changed contact address to mkornelix@gmail.com

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 11 Feb 2020 18:22:43 +0100

fotoxx (20.05-1dhor~bionic) bionic; urgency=medium

  * bugfix: crash in processing of compressed translation file.
  * bugfix: exit unconditionally if exiftool not installed.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 05 Feb 2020 19:55:00 +0100

fotoxx (20.04-1dhor~bionic) bionic; urgency=medium

  * 20.04

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 20 Jan 2020 18:42:35 +0100

fotoxx (19.20-1dhor~bionic) bionic; urgency=medium

  *  Version 19.20 (2019.11.23)
  * Index image files: process was reduced from 8 to 4 parallel threads. 
    This reduces memory requirement and the performance loss is minor. 
  *  Version 19.19 (2019.11.09)
  * Bugfix: Copy Pixels 2 (image to image) failure if current file changed.
  *  Version 19.18 (2019.10.16)
  * Phone Home made optional, default enabled.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 24 Nov 2019 17:27:35 +0100

fotoxx (19.17-1dhor~bionic) bionic; urgency=medium

  * Bugfix: Resize using more than 4 CPU cores produced black stripes in image

 -- Dariusz Duma <dhor@toxic.net.pl>  Fri, 13 Sep 2019 21:48:16 +0200

fotoxx (19.16-1dhor~bionic) bionic; urgency=medium

  * Bugfix: compensate somtimes missing EXIF data "FocalLengthIn35mmFormat"

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 01 Sep 2019 23:32:35 +0200

fotoxx (19.15-1dhor~bionic) bionic; urgency=medium

  * Bugfix: Copy Pixels 2: source image failure if scale is too large.
  * PXM_rescale: limit to 4 threads because this is faster than more threads.
  * Bugfix: compensate data format change from  $ exiftool -imagesize.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 27 Aug 2019 11:59:19 +0200

fotoxx (19.14-1dhor~bionic) bionic; urgency=medium

  * Fix minor bug created in 19.13
  * 19.13
  * Gallery view: if image files are created/modified by other processes while 
    Fotoxx is running, these will be marked as "not indexed" in gallery view.
    Run the Index process manually to get them properly integrated.
  * If the Index process is manually started and canceled, do not invalidate the
    current index.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 10 Aug 2019 19:02:27 +0200

fotoxx (19.12-1dhor~bionic) bionic; urgency=medium

  * Bugfix: incorrect use of strtol() with base 0 instead of 10. Numbers having
    leading zeros were converted as octal values instead of decimal. Implications
    are unknown. There are no known ramifications to date. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 03 Jun 2019 20:18:50 +0200

fotoxx (19.11-1dhor~bionic) bionic; urgency=medium

  * Bugfix: When assigning a location name to an image file, if there are multiple
  *  earth coordinates with the same name (e.g. multiple places in one city), a map 
  *  should appear for mouse selection. This was not always happening.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 16 May 2019 09:03:28 +0200

fotoxx (19.10-1dhor~bionic) bionic; urgency=medium

  * Make galleries work at a basic level even with no index ($ fotoxx -x 0).
  * Bugfix: found better workaround without using deprecated GTK function

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 07 May 2019 06:21:01 +0200

fotoxx (19.8-1dhor~bionic) bionic; urgency=medium

  * Bugfix: replace buggy gtk_menu_popup_at_pointer() with deprecated gtk_menu_popup()
  * version 19.7 -> Bugfix: Do not fail if a file has gone missing during index process.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 13 Apr 2019 20:25:43 +0200

fotoxx (19.6-1dhor~bionic) bionic; urgency=medium

  * Bugfix: Show RGB: Spurious lines if used in parallel with Stuck Pixels.
  * Bugfix: Color Mode: stop reversion of color changes when function exits. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 18 Mar 2019 07:18:53 +0100

fotoxx (19.5-1dhor~bionic) bionic; urgency=medium

  * Bugfix, Color Mode: inconsistent results, image flashing with slider motion.
  * Bugfix, Denoise: the dark areas / all areas slider did not work correctly. 
  * Bugfix, Upright: crash if thumbnail was clicked and current file is null. 
  * Bugfix, Trim/Rotate: crash if 'undo' button is used after image is rotated.
  * Update usage counter on web host [anonymous]
  * Bugfix: image file with future mod time caused thumbnail update every access.
  * Bugfix: Show RGB failed if current image changed while active.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 02 Mar 2019 19:11:32 +0100

fotoxx (19.4-1dhor~bionic) bionic; urgency=medium

  * Correct clerical mistake in packaging: release number and missing patch.
  * Bugfix: Manage Tags: cannot add tag partly matching other tag within category.
  * Bugfix: Fix re-entrancy bug in gallery() that can cause GUI lockup.
  * Show RGB: code cleanup and removal of useless 'EV' report option.
  * Bugfix: Possible crash if image edit started with Show RGB activated.
  * Bugfix: Crash in Batch RAW if output file type not changed from default.
  * Bugfix: Crash when selecting files for a batch operation.
  * Source code changes for compatibility with Clang compiler. 
  * Bugfix: crash in Search Images if current set includes a deleted file. 
  * User statistics: count 1/3 file-views + file-writes.
  * User Guide updated.
  * man page file updated.
  * README file updated.
  * New menu: Help > Privacy --> GitLab privacy policy.
  * block edit of file lacking write permission for current user.
  * Bugfix: crash in View 360° Pano if image has very high width/height ratio.
  * Bugfix: fail gracefully if desktop and icon files cannot be updated.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 31 Jan 2019 18:54:29 +0100

fotoxx (19.01-1dhor~bionic) bionic; urgency=medium

  * Functional Changes:
  * Menus were unified to be the same for all views: File, Gallery, Map.
    (Reduce confusion for new users and generally improve ease of use.)
  * The top 3 menu buttons (File, Gallery, Map) can set the respective view mode
    with mouse right-click. Left-click opens the function menu [unchanged].
  * Galleries can now be sorted by file size [bytes] or image size [pixels].
  * Zoom behavior change: zoom size and position is now retained when stepping 
    through a series of images. Use the Z key to return to 'fit window' mode.
  * Map View: zoom in/out with left/right click as alternative to mouse wheel.
  * Manage Albums: removing or moving multiple images within or across albums
    was made easier. There are two new mass change utilities for updating album 
    files after multiple images have been edited and saved as new versions.
    Create Album has the option to immediately select initial files.
  * New [arty] Warp functions: Inside-out, Tiny Planet, Stretch. 
  * New [arty] Effects function: Dither: 4 ways to posterize/pixelize an image.
  * New Combine function: Stack/Layer: stack multiple edits of the same image, 
    select which version is shown in each image area by mouse painting/blending.
  * New Color Balance function: automatic white balance and black level.
    The white balance spot-click option also has an improved algorithm.
  * Search Images: metadata search: new convenience pick-list of likely items.
  * The escape key can now be used to terminate some long-running functions
    (focus must be on main window, not on a dialog window).
  * Select Area Finish: (validate and check for outline gaps) areas selected by 
    mouse-painting or color-matching are now automatically finished. Areas
    outlined by hand can be finished individually (as before) or all at once.
  * Copy/Move image file: now includes optional rename.
  * Technical Changes:
  * The index format was revised. Re-indexing of image collection is required.
    (will run faster than usual because new thumbnails are not needed). 
  * Crash [zappcrash] file is now copied to the desktop. The previous 'pop-up' 
    approach was not reliable for all Linux window manager flavors.
  * The fotoxx-appimage package no longer needs the Exiftool package. 
    This is now included within the appimage container.
  * The term 'folder' has replaced 'directory' in dialogs and the User Guide.
  * Many image edit dialogs were formatted smaller to cover less image area.
  * Many dialog and report windows now remember their last user-adjusted size. 
    This compensates for size variability from font, language, and metadata.
  * 'Sync Gallery' now has the more sensible name 'Source Folder'.
    (you will need to edit your shortcuts list to match the new name)
  * Maximum image size was increased to 500 megapixels (8 GB unpacked)
    (at least 32 GB main memory is needed to edit images this large).
  * The Fotoxx server process [exiftool] for handling metadata will no longer 
    persist as a zombie if the main process is killed or exits abnormally.
  * Slide Show: image pan/zoom was made fast enough for use with a 4K monitor
    driven by a typical desktop computer (4 processor cores, 2+ GHz). 
  * Thumbnail files corresponding to invalid top image folders are no longer
    deleted. This is to reduce indexing time for an external disks that is
   sometimes present [mounted] and sometimes not. 
  * Bug Fixes:
  * Replace Album File: failed to use the original [unedited] image file as 
   the prior version for the first edited version. 
  * Magnify function: scrambled the image in areas having transparency. 
  * Drag and drop album image - gallery could continue scrolling after drop.
  * Race condition crash - gallery initialization and preload-thumbs thread.
  * Script file containing multiple edit functions: it was possible for an 
    edit function to start before the prior edit function was completed.
  * Retouch function used in a script: failed to process curve settings.
  * Bad metadata (e.g. year 0000) could cause date-based reports to fail.
  * Manage Albums: Remove cache files: crash if select albums and then cancel.
  * Index function: nested [overlapping] folders were not being rejected.
  * Rare failure in undo/redo was fixed: "resource temporarily unavailable". 
  * Copy to Desktop omitted edits that had not yet been saved to a file.
  * An incorrect resource locking method was causing [rare] UI lockups.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 01 Jan 2019 19:52:46 +0100

fotoxx (18.07-1dhor~xenial) xenial; urgency=medium

  * Zonal Retinex is around 5x faster for large images and high zone count.
  * A single Blur menu now consolidates all six blur functions: normal blur,
    radial blur, directed blur, graduated blur, paint blur, background blur.
  * Normal blur is around 3x faster and radius limit was raised from 200 to 999.
  * Radial Blur - new function: Blur is directed outwards from a chosen center.
  * Image Differences - new function: Subtract one image from another. These
    can be variably offset, magnified, and edited for artistic effects.
  * Copy Pixels: Image areas can be copied directly from a source to a target
    image via mouse 'painting'. Copy process can be scaled to fit the target.
  * Run Script: Apply a custom script to the current image file with one click.
    Works like an edit function - much faster than setting up a batch script.
  * Keyboard shortcuts can be defined for the common dialog completion buttons.
  * Trim/Rotate: If an image was leveled, a minor sharpen is done automatically.
  * Find Duplicate Images: This runs much faster for a huge image collection.
    Input can be all images or the current gallery (e.g. Search Images output).
  * Smart Erase: power lines or other long thin features can be more easily
    erased by clicking at intervals along the line.
  * Search Images:
      Date "null" can be used to find images having no photo date.
      BUSY indicator was added for long searches (non-indexed metadata).
      New option: retrieve all versions for images meeting search criteria.
      Wildcards can be used when searching metadata for matching text.
  * Slide Show:
      The dialog for specifying image events was simplified.
      Duration for animated transitions and image zooms is specified directly
      in seconds (instead of fiddling parameters by trial and error).
      New transition type: image 'disintegrates' to reveal new image.
  * Gallery view: more/less metadata is shown with bigger/smaller thumbnail size.
  * List view: now includes image pixel dimensions and file size in megabytes.
  * Paint Edits can now be used with: Color Mode, Shift Colors, Adjust RGB.
  * Batch Convert and Batch RAW: new options for output file type and bit depth.
  * Batch Delete/Trash: Deleted files are automatically purged from all albums.
    (formerly this was not done until the next time an album was opened).
  * Manage Albums: Rename option added (formerly you had to use a file manager).
  * The restriction on sorting albums was removed, but the output is a new
    album instead of replacing the input album. New name is 'oldname-sorted'.
  * New album function: Revert to current album or open last-used album.
  * Change Language: this setting is now preserved across Fotoxx sessions
    (previously reverted to user locale at next Fotoxx startup).

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 03 Jul 2018 18:41:41 +0200

fotoxx (18.01.3-1dhor~xenial) xenial; urgency=medium

  * Bugfix:  Image rotate was producing a slightly pixelated output.
  * The Italian translation was updated.
  * Bugfix: fixed a cosmetic defect in the custom [small] spin buttons.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 25 Feb 2018 19:55:03 +0100

fotoxx (18.01.1-1dhor~xenial) xenial; urgency=medium

  * Crash in metadata related functions if the default tag category 'nocatg'
    has been deleted. This is now replaced automatically.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 02 Jan 2018 23:56:19 +0100

fotoxx (18.01-1dhor~xenial) xenial; urgency=medium

  * The image index format was revised, requiring a new index initialization. 
        This runs fast (up to 7000/min.) since new thumbnails are not
        needed.
  * Image Index initialization: work is now divided among 4
        parallel threads.
        On a computer with 4 processor cores and an SSD disk, indexing
        runs about 
        3x faster (ca. 6000/min). There is no speedup for a rotating
        disk (1000/min). 
  * The maximum thread count for some functions was increased from
        4 to 8, 
        to better utilize the newest processors from Intel and AMD.
  * Use of the shell "find" command was mostly replaced with calls
        to glob().
        This is fail-safe against special characters in file names.
  * There is now an option to place the Fotoxx home directory
        wherever wanted.
        The file "/home/&lt;user&gt;/.fotoxx-home" may be used to set a
        custom location.       
  * The font for gallery windows is 1 point less than the user
        setting for dialogs. 
  * Retained geocoordinate precision was improved (now within 1
        meter).
  * Many GTK widgets were downsized by reducing unnecessary margin
        padding.
        This can be revised or undone by editing the file "widgets.css".
  * The custom [small] spin button widget now spins increasingly
        faster when
        the +/- key or up/down arrow key is held down more than 1
        second. 
  * The image index may now include up to 20 user-defined metadata
        items
        (search speed for indexed metadata is &gt;1000x faster than
        non-indexed).
  * The restriction on sorting a metadata report was removed.
  * Effects &gt; Pattern: GUI improvements and better
        responsiveness.
  * Updating Albums: GUI improvements to make it easier to update
        affected
        albums after an image file is updated or a new version is
        created.
  * Play video: Keyboard commands revised: 'P' to
        play/stop/resume, 'Q' to quit.
  * New slide show transition: the next image swells up from the
        middle and
        compresses the previous image out to the sides. 
  * Galleries retain both sort and scroll position within and
        across sessions.
        All galleries can be reset to 'file name ascending' order with
        one button.
  * Retouch-Combo: GUI improved for setting white balance and
        black point.
  * Retinex: new edit function to improve color and contrast for
        images with
        extreme fog/haze or color cast (e.g. a scan of a 100 year-old
        photo).
        Retinex can also be used to add flair to most other images. 
  * Batch Photo Date/Time: new function to fix missing or wrong
        photo date/time,
        or shift the date/time a given amount (e.g. camera in wrong time
        zone).
  * Batch Geotags: Location and Country can be updated without
        changing the
        existing geocoordinates (e.g. fix chaotic names from the camera
        GPS).
  * Keyboard navigation: some search and select functions that
        output a list now
        allow navigation of the list using the arrow, page and home/end
        keys. You can
        also enter text to make the list scroll to the next entry with
        matching text.
  * KB shortcuts: most can be customized, most are now available
        in gallery view.
        The menu functions that can have shortcuts were expanded from 27
        to 94.
  * Menu font and background colors can be set to match a 'theme'
        or personal
        taste (these are generated graphics and do not follow themes
        automatically).
  * Two batch RAW conversion functions were consolidated into one,
        with options.
  * Search Images: search by file mod date added (in addition to
        photo date).
  * View360 function: View a 360° panorama image (e.g. Google
        photosphere).
        Viewpoint can turn through 360° and wrap-around by dragging the
        mouse.
  * Manage Tags: stop auto-delete of unused tags. User must delete
        if unwanted.      
  * Mosaic: made much faster by using parallel threads. Blend is
        now instant. 
  * KB shortcuts: make '+' work as 'zoom-in' for any keyboard
        layout.
  * Zonal Flatten: allow zone count = 1 (i.e. use the entire image
        distribution).
  * Adjust HSL: use a sample spot of 3x3 pixels instead of one
        pixel.
  * Gallery view: use arrow keys to index current file and jump
        across galleries.
  * Revised menu names: Zonal Flatten &gt; Flatten, Tone Mapping
        &gt; Gradients,
        Flip Image &gt; Mirror Image, Write Text &gt; Add Text, Write
        Line &gt; Add Line,
        Brightness Gradient &gt; Brightness Ramp, Local Color &gt; Zonal
        Colors.
  * Panorama: PNG images with alpha channels were sometimes made
        invisible.
  * Possible lockup after a long image indexing process. Exiftool
        memory leak.
  * Brightness Ramp: direction line sometimes persisted after
        function exit.
  * Albums: stop removal of videos from album if 'ffmpeg' or
        'totem' is missing.
  * All directories tree: possible crash if navigating via
        keyboard arrow keys.
  * Search Images metadata report: missing data for the first
        image in the list.
  * Search Images with metadata selection criteria: minor memory
        leak plugged.
  * Vertical Panorama: fine alignment via mouse caused image to
        partly disappear.
  * Favorites menu: stop crash if assigned menu name is a 'top'
        menu.
  * Favorites menu: stop movement of menu position if 'user
        settings' selected.
  * The interface to Raw Therapee was updated for changes in Raw
        Therapee. 
  * Some keyboard shortcut keys were not working for some KB
        layouts. 
  * Spurious "kill active dialog" message if image-index [x]
        button is used.
  * Crash "max. dialogs exceeded" after 15 "Edit Brightness" done
        in a script.
  * Stop spurious log file diagnostic from thumbnail clicks:
        "fopen re-entry".
  * Batch Utilities: stop flashing of title bar with each file
        opened.
  * Crash "no thumbnail directory" needed a better diagnostic.
  * Image Index: RAW files were omitted (auto updated when
        referenced).
  * Make all date/time input formats the same.
  * Wayland Note: Fotoxx works OK with Wayland/Xwayland with one
      exception: when an image is zoomed-in by clicking on a spot, 
      the pointer no longer follows the spot but stays 
      fixed. This is a known bug or omission (only the user can move the
      pointer). 

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 01 Jan 2018 10:50:28 +0100

fotoxx (17.08.3-1dhor~xenial) xenial; urgency=medium

  * Bug fixes:
     User settings for video file types were not being saved.
     Add missing popup diagnostic for libraw (RAW file) (e.g. unable to read a file).
     Check for hugin, not hugin-executor (diverse packaging standards).

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 05 Oct 2017 00:19:21 +0200

fotoxx (17.08.2-1dhor~xenial) xenial; urgency=medium

  * Avoid crash if an invalid parameter is inherited from a previous installed version.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 10 Aug 2017 17:32:49 +0200

fotoxx (17.08.1-1dhor~xenial) xenial; urgency=medium

  * Thumbnails were enlarged to 512 pixels for faster galleries when using large
    thumbnails. To implement, delete your thumbnails directory and re-index.
  * Use of shell "cp filename" was replaced with a copyfile() function, which makes
    batch functions fail-safe against special characters in file names.
  * New widget types were implemented to make some dialogs smaller, covering
    less of the image being viewed. Number values can be indexed up or down using
    the mouse wheel, keyboard up/down arrow keys, or the [+] [-] keys. The shift key
    can be held down to increase the step size and speed by 10x.
  * Video files display as both images (initial frame) and gallery thumbnails.
  * Click to play. Also editable metadata, albums, search, and slide show play.
  * Maps: save and recall user-named map locations (map position and scale).
  * Panorama: the flatten function was made variable and reversible.
  * Retouch Combo: the curve edit user interface was improved.
  * Galleries remember and restore their last scroll position with each view.
  * Select Hairy: improved algorithm, faster and better user interface.
  * Select Area > Find Gap: fatter lines are drawn for better visibility.
  * Custom Kernel: added functionality. Ten more pre-installed filters.
  * Paint Image: added an HSL color chooser as an additional color method.
  * Slide Show: 2 new transition types. 5 others made faster on slow computers.
  * Color Profile: EXIF "ICCProfileName" is updated and embedded profile deleted.
  * Export Image Files: added metadata relevant for photo web services.
  * Search Images: match 'all' or 'any' logic was implemented for location.
  * Gallery List View expanded: show small thumbnails + most relevant metadata.
  * Slide Show: workaround for GDK pixbuf scaling bug.
  * Flickr Upload stopped working and was removed. Flickr and other photo web
    services can do this directly. The User Guide describes a simple procedure.
  * A startup album name (if any) was getting replaced with blanks.
  * Retouch Combo: failed if directory for saved settings is missing (create it).
  * Index Image Files: failed if recent files file is missing (create it).
  * Possible crash if Trim/Rotate [level] button is used (EXIF tilt angle).


 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 02 Aug 2017 18:43:23 +0200

fotoxx (17.04.3-1dhor~xenial) xenial; urgency=medium

  * Manage Albums, Choose Album: [cancel] left all album menus disabled.
  * Slide Show, zoom image function: fix memory leak.
  * Select Area, Find Gap: crash if gap search killed before complete.
  * EXIF data update: poss. crash if input keyword data is null.
  * Color Profile: liblcms2 can produce RGB values < 0. Replaced these with 0.
  * File index process sometimes omitted a few files. This was self-repairing.
  * Metadata Report: leafpad fails to display report file - replaced it.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 05 Jul 2017 17:23:36 +0200

fotoxx (17.04.2-1dhor~xenial) xenial; urgency=medium

  * Workaround for GTK draw event loop in Paint Image palette color selection.
  * Retouch Combo: always update distribution graph for dialog widget changes.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 04 May 2017 07:11:50 +0200

fotoxx (17.04.1-1dhor~xenial) xenial; urgency=medium

  * Thumbnail Gallery: crash if RAW file thumbnails are set to a large size
  * Sharpen Image: error message if [apply] button and no method chosen
  * Retouch Combo: [reset] button failed to reset the [amplify] slider
  * Popup Menus: offset from mouse position to make menu cancel easier


 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 17 Apr 2017 21:51:56 +0200

fotoxx (17.04-1dhor~xenial) xenial; urgency=medium

  * 

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 01 Apr 2017 18:41:06 +0200

fotoxx (17.01.1-1dhor~trusty) trusty; urgency=medium

  * Possible crash at startup after new image files are found and indexed.
    (This is self-repairing at the next startup.)
  * Crash if the De-noise dialog is quit with the Measure Noise dialog left open.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 14 Jan 2017 21:41:06 +0100

fotoxx (17.01-1dhor~trusty) trusty; urgency=medium

  *        Show the entire image directory hierarchy with [+] and [-] buttons to expand
           or contract subdirectories at each level. Click any entry for a gallery view.
  *        Blend Image: Blend image pixels by painting with the mouse.
  *        Replace Album File: Make it easier to update albums whenever member images
           are edited or added. Replace a given old image with a given new image, or
           add the new image after the old, in selected albums or all albums.
  *        Maps: An option was added to show markers only for images in the current
           gallery (e.g. search results or album). The default is to show all images.
  *        Color Mode: A new option was added to "rotate" the colors (RGB -> BRG),
           and each function operates on prior results instead of the original image.
  *        Three new slide show transitions: turn-cube, windmill, pixelize.
  *        Adjust HSL: both source and target colors can be selected by clicking the image.
  *        Slide Show - added button to use current gallery (without album selection).
  *        Image indexing is 1.9x faster for 5400 rpm disk (minor speedup for SSD).
  *        Thumbnail caching is more efficient, gallery scrolling is a little smoother.
  *        Edit Metadata: added button to recall and insert previous geotag data.
  *        Batch Rename Tags: A GUI replaced the text file for old and new tag names.
  *        Brightness/Color Gradient (alias "Ramp"): Set gradient direction with the mouse.
  *        Favorites menu: Alignment of icons or text to invisible grid was made easier.
  *        Bookmarks Edit and GoTo dialogs: scroll bar added to allow larger entry counts.
  *        Slide Show: transitions dialog can be scrolled for easier use with small monitors.
  *        Report by location and date-groups: If only a country is selected, the
           output gallery did not include all locations within that country.
  *        Metadata report: Failed if no prior reported items list was found.
  *        Sort gallery by file or photo date: Avoid sorting subdirectories
           (leave them at the top of the list and in alphabetic order) 
 

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 02 Jan 2017 16:05:24 +0100

fotoxx (16.11-1dhor~trusty) trusty; urgency=medium

  * New: Upload selected image files to the Flickr photo web service.
  * New: Unwarp Close-up: Reverse the distortion of a close-up face photo
    (e.g. selfie) (balloon face, big nose).
  * Location names may now encompass multiple [nearby] geocoordinates.
  * When editing a photo geotag, select a map marker or add a new one.
  * The image selection range of a map marker scales with the map scale.
  * Albums can be auto-updated when image files are edited to new versions.
  * Text config files for two Metadata reports were replaced with proper GUIs.
  * Add Text and Add Lines/Arrows: style information (font, size, color, effects ...)
    can be saved to a file and re-used, to avoid many inputs.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 02 Nov 2016 22:32:52 +0100

fotoxx (16.10.3-1dhor~trusty) trusty; urgency=medium

  * 16.10.3 - few fixes

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 16 Oct 2016 16:51:30 +0200

fotoxx (16.10.1-1dhor~trusty) trusty; urgency=medium

  * Bugfix: memory management bug resulting in possible crash.
  * Translation updates: French, Portuguese, Spanish, Catalan, Italian.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 12 Oct 2016 07:42:13 +0200

fotoxx (16.10-1dhor~trusty) trusty; urgency=medium

  * Compensate GTK API changes in Ubuntu 16.10.
  * Keys F1 (= help) and Escape (= cancel) were made consistent in all dialogs.
  * The Select Hairy function and user interface were improved somewhat.
  * The image search function saves its output to the album Search Results
    (preserve search results when subsequent actions replace the gallery).
  * Batch Add/Remove Tags: the user interface was extended to make it easier
    to choose from existing tags or create new tags as needed.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 02 Oct 2016 07:05:41 +0200

fotoxx (16.09-1dhor~trusty) trusty; urgency=medium

  * Image Index:
  * Fotoxx startup is much faster when there are few new image files to index. 
     Huge galleries also display faster. The image index file is converted to a
     new format. The old file is kept for safety, and can be deleted later.
  * Indexing can be completely bypassed if Fotoxx is started from a file manager
     (e.g. Nautilus) to open a selected file, which displays instantly. Image edits
     work normally. Search and map functions are disabled because they require
     the image index. The index can be updated on demand or the next time
     Fotoxx starts normally. Set options using Tools > User Options.
  *Gallery View:
  * Galleries with images from multiple directories (from a search function,
     recent images query, timeline report, etc.) now include the lowest level
     directory name in addition to file name, photo date and thumbnail image.
  * User Options: view last file version only:
  * This option now affect both image file view and gallery view. If set, only the
     latest version of each image file is shown, also in gallery pages.
     Albums and results from search functions are not affected.
  * Maps:
  * A user can optionally use the Mapbox map source by acquiring an access key.
     These are free for moderate map usage (50,000 tiles per month). See the
     User Guide for a description of the differences and how to obtain a key.
  * Batch Convert:
  * Inserting plugin text in the output file names was simplified. Photo dates
     (from EXIF metadata) can be inserted into the output file names.
  * Main:
  * The user data in /home/<user>/.fotoxx can now be located wherever wanted.
     This also enables multiple image collections, managed separately.
  * Search:
  * The report by location and date-group and the timeline report were made
     more elegant with non-scrolling table headers. Click on a table position
     to get a corresponding thumbnail gallery of images.
  * Gallery sort by photo date:
  * Multiple edit versions of the same photo had accidental order because they
     all have the same photo date. Resolved by using file mod date as tie breaker.
  * Bugfix:
  * User Options: If a font was selected that had no monospace implementation,
     some report formats looked horrible. A generic monospace font is now used.
  * Gallery sort by photo date was incorrect after editing any photo dates.
     (self-corrected after displaying some other gallery and then coming back).
  * When saving a modified image as a new file or version, some obscure ITPC
     metadata was not being copied to the new file.
  * Trim/Rotate: the [+90] and [-90] buttons failed when pressed multiple times.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 22 Sep 2016 06:36:58 +0200

fotoxx (16.08-1dhor~trusty) trusty; urgency=medium

  * Albums:
   + Remove multiple images by clicking thumbnails.
   + Drag thumbnails from a file manager or gallery to an album and position.
  * Slide Show:
   + The last image remains displayed until Escape is pressed.
   + Transition preferences: fix large dialog that can overflow a small screen.
  * Select Hairy:
   + Show the tones currently being selected or deselected.
   + Select and deselect thresholds were adjusted for finer selectivity.
  * Select Area:
   + Area edit: edge blending appearance was made smoother.
   + Area copy and paste: smoother edges via anti-aliasing.
  * Gallery:
   + Use two parallel sessions to drag and drop thumbnails across galleries.
  * Metadata:
   + Report by location, new option: sequence by date-group and location.
   + Timeline report: create a table of image counts by year and month.
       Click on a year/month to produce a corresponding thumbnail gallery.
  * Color Mode:
   + Sepia coloring was improved.
   + A new slider was added to adjust effect from zero to 100%.
  * User Options:
   + Add an option to set the gallery background color.
  * Main:
   + The Favorites popup menu is initialized with defaults, if empty.
   + The mouse selection circle remains visible over transparent image areas.
  * Bugfix:
   + Images by date-range and location: too many images were being selected.
   + Paste Area: brightness and edge blend adjustments reset each-other.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 03 Aug 2016 06:48:45 +0200

fotoxx (16.07-1dhor~trusty) trusty; urgency=medium

  * Libraw is used in place of Dcraw. Dcraw is no longer required for Fotoxx.
  * Search Images: there is more flexibility to search for metadata matching 
    one or more values, one or more substrings, or a range of numeric values.
  * The denoise method "flatten" was made faster and more effective.
  * New: Select Area Copy: select a hairy or ragged edge with fine control.
  * New: Select Area Find Gap: find the gap in a hand-drawn area outline.
  * Manage Albums: copy and paste from any gallery into an Album gallery using 
    parallel Fotoxx sessions (makes album construction and editing easier). 
  * New user option: set the main window background color.
  * Bugfix: crash when saving a select area at image bottom edge to a file.


 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 03 Jul 2016 12:45:08 +0200

fotoxx (16.06-1dhor~trusty) trusty; urgency=medium

  * Many popup tips were added to dialogs to improve ease of use.
  * Edit Metadata and Edit Geotags were integrated for better ease of use.
  * Edit Any Metadata: made easier to edit items not included in the pick-list.
  * Adjust HSL: improved output quality, more precise user control of output.
  * Image Search: finding images with no data (e.g. no tags) was simplified.
  * Image Search: search for images from specific locations was simplified.
  * Several functions were made easier to select and process image files in gallery
    view: View and Edit Metadata, Rename, Copy/Move, Delete/Trash, Upright.
  * New in image and thumbnail popup menus: jump to image map location.
  * Paint/Clone: undo memory for oldest edits is recovered as needed for new edits.
  * Unbend: made easier to use by including guidance icons in the dialog box.
  * Cartoon: small improvement in algorithm, small speedup.
  * Bugfix: Favorites > Previous Image: crash if initiated from Gallery View.
  * Bugfix: Map search range was increasingly inaccurate for higher latitudes.
  * Bugfix: Custom favorites menu could lose icons if an entry is deleted.
  * Bugfix: Slide Show: custom image settings (zoom target, transition type)
    were sometimes lost if the underlying album was edited or rearranged.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 02 Jun 2016 15:13:55 +0200

fotoxx (16.05.1-3dhor~trusty) trusty; urgency=medium
	
  * A new image location map was implemented using OpenStreetMap.
    This has superior functionality, but depends on having a fast and reliable
    internet connection. The old method (using large local map files) can still
    be used and may be preferable for custom maps.
  * New: Selective Rescale: Scale image down, leaving selected areas unchanged.
    This can be used to increase the relative size of the area of interest.
  * Gallery top panel has more information about current album or search view.
  * Font and map marker sizes are adjustable for monitor size and DPI.
  * Bugfix: no warning was given when a gallery thumbnail was opened and the
    previous image file had unsaved modifications which were silently discarded.
  * Bugfix: minor memory leak in Manage Albums. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 01 May 2016 21:45:18 +0200

fotoxx (16.04-1dhor~trusty) trusty; urgency=medium

  * Initial file indexing was made faster by running metadata extraction and thumbnail creation in parallel. Speedup: 11% for 7200 rpm disk and 60% for SSD.
  * New image sharpen method: median difference: like unsharp mask, with less halos.
  * New slide show transitions: spiral, french door.
  * Bugfix: crash in panorama "flatten" function if image is too large.
  * Bugfix: failure of Add Lines function in rare cases (arcsin(1.000000x)). 
  * Workaround: If an image file that is used in albums is renamed or moved, the album image goes missing. There is no way to fix this, but now a report of the missing files is shown before they are purged from the album. If files are renamed or moved using the Batch Convert tool, then albums are correctly updated. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 03 Apr 2016 06:43:42 +0200

fotoxx (16.03-1dhor~trusty) trusty; urgency=medium

  * New function Blur Background: select one or more areas (foreground) that
    remain sharp while the remaining areas (background) are blurred, optionally
    in proportion to distance from foreground. Also useful for the Tilt-Shift effect.
  * New function Add Transparency: based on brightness or a chosen color.
  * Edit Metadata: Editing a series of images that share common metadata
    was made faster and easier with a button to recall previous data.
  * The image size limit for editing was doubled to 250 megapixels
    (not realistic for computers with less than 16 GB main memory). 
  * Select Area: area edge distance calculation was made 2-3x faster.
  * Select Area: copy/paste retains both transparency and edge distance data.
  * Calibrate Printer Colors: the color chart and procedure were revised.
  * This means you have to re-do the calibration (my apologies for this). 
  * Bugfix: Mashup: warping overlay images no longer leaves black margins
    where an image was pulled inward from the edge. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 01 Mar 2016 17:56:20 +0100

fotoxx (16.02.1-1dhor~trusty) trusty; urgency=medium

  * New Effects > Cartoon: convert a photo into a cartoon-like drawing.
  * Add Text and Add Lines now work better with images having transparent areas.
  * Paint/Clone: optionally paint over transparent areas, instantly or gradually.
  * Brasero was replaced by growisofs for writing image files to DVD/BlueRay disc.
    (growisofs underlies Brasero, K3b, and most other disc burning utilities).
  * Edit Any Metadata: UI improvement to better handle long text strings.
  * Batch Change Metadata: UI improvement to better handle long text strings.
  * New batch function: select image files by clicking thumbnails, output a file
    with a list of the selected files. Useful to feed shell scripts or other apps.
  * Function key changes: F10 for full screen with menu and panel, F11 without.
  * Batch Convert: overlay images (e.g. credit lines) can be sized for a constant
  * screen display size, regardless of image size or aspect ratio.
  * When viewing images sequentially using the [prev/next] button or keyboard
    arrow keys, adjacent directories can be spanned without user navigation.
  * An album can be opened from the command line: $ fotoxx -album <album-name>
  * Bugfix: Retouch Combo: reset button did not reset everything.
  * Bugfix: Panorama: "file color" button caused image misalignment or crash.
  * Translation updates for Portuguese. 
  * Bugfix: Resize: locking the width/height ratio did not always work.
  * Bugfix: Slide Show: sometimes failed to start.
  * Bugfix: If an album contains the same image file multiple times, stepping
    sequentially through the album loops from the Nth instance back to the first.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 06 Feb 2016 15:57:43 +0100

fotoxx (16.01-1dhor~trusty) trusty; urgency=medium

  * Edit Any Metadata and Batch Add/Change Metadata: better user interface:
    mouse point and click to select metadata items from a list of likely items.
  * Panorama: a manual alignment option was added for images with no
    clear features in the overlap area that can be used for auto-alignment.
  * Batch Convert: add an overlay image to output images (e.g. a credit line).
  * Slide Show: minor changes to improve user interface (details in User Guide).
  * Image right-shift is now a user option with no more back-and-forth motion.
  * Search Images: new option for text data matching: case-sensitive or not.
  * New user option: default gallery sort: file name, file mod date, photo date.
  * A new function for color saturation was added (separate from Retouch Combo).
  * Bugfix: Search Images for metadata was including some non-matching images.
  * Bugifx: possible crash in Select Area if 'extend to corner' option is selected.

 -- Dariusz Duma <dhor@toxic.net.pl>  Fri, 01 Jan 2016 11:38:54 +0100

fotoxx (15.11-1dhor~trusty) trusty; urgency=medium

  * Folders in gallery pages show counts for both contained sub-folder and images.
  * Pattern: pattern can imprint target image without changing image colors.
  * Adjust HSL: the amount of color change is proportional to the match with a selected target color, and this match range is adjustable.
  * Batch Convert: more flexibility in the formatting of output file names.
  * New: make a spherical image projection with variable radius of curvature.
  * Trim/Rotate: if an image is levelled using mouse drag, the trim rectangle is automatically maximized, removing the need to do this manually.
  * If an edit dialog is started and left/right image margins are present, the image is pushed to the right side so the dialog can be positioned over the expanded left margin and menu panel, minimizing the image area covered. This position is saved and restored the next time the dialog is used.
  * Saving to file type .bmp was removed, since all metadata is lost.
  * A new transition type was added to Slide Show: collapsing sphere.
  * Six other minor improvements and minor bug fixes were made. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 02 Nov 2015 21:20:57 +0100

fotoxx (15.10-1dhor~trusty) trusty; urgency=medium

  * New: Batch Scripts: Perform a series of image edits while recording all menu and dialog inputs into a script file. Execute the script file to apply the same edits to multiple images selected from gallery pages.
  * Calibrate Printer: algorithm was improved for slightly more accurate colors.
  * Edit curves: The capture distance for mouse selection of nodes to drag is now adjustable (increase the default value to make touchpads easier to use).
  * Batch Add/Change Metadata: added a pick-list for commonly used keywords.
  * Geographic maps: mouse distance to trigger a popup location name was made independent of map scale (10 pixels instead of 10 km).
  * Bugfix: gallery file selection: clicking on a file name in the list of selected files was sometimes inaccurate and selected the wrong file.
  * Bugfix: setting a geotag by clicking a map location did not allow an initial location to be revised by clicking somewhere else.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 08 Oct 2015 20:18:48 +0200

fotoxx (15.09.2-1dhor~trusty) trusty; urgency=medium

  * bugfix

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 03 Sep 2015 15:30:33 +0200

fotoxx (15.09-1dhor~trusty) trusty; urgency=medium

  * Program code was revised for latest GTK API breakage (in Ubuntu 15.10).
  * The font size used in menus and dialogs can now be set by the user.
  * Panorama: about 20% faster (3 images x 7 megapixels, 2 GHz CPU, 18 secs).
  * Paint Transparency: response lag with large images was eliminated.
  * Area Copy and Paste was reinstated (faster and easier than file save and open).
  * Use of alpha channel for vacated margins was extended to all bend functions.
  * New: Calibrate Printer: tool to improve image print color accuracy.
  * Bugfix: crash in Flatten Book Page while marking page edges.
  * Bugfix: Slide Show failure if translated transition names contain blanks.
  * Bugfix: Leverage Edit: use of contrast as edit lever was broken.
  * Seven other minor improvements and fixes.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 02 Sep 2015 15:09:57 +0200

fotoxx (15.08-1dhor~trusty) trusty; urgency=medium

  * The brightness distribution for an image can be reshaped by using slider controls and watching the image or graph. The distribution can be clipped at either end, or stretched or flattened in different zones.
  * Editing and searching image tags: there is an optional method to better deal with a huge list of defined tags. The tag pick-list can contain all tags, or only those for a tag category chosen from a category pick-list.
  * Select Area: an area cutout can be saved as a PNG or TIF file with a transparency map (alpha channel). Any image file can be read and pasted in another image, and transparent areas work as they should.
  * Image edits: transparency data is retained and can be edited. Adjustable transparency can be painted and unpainted using the mouse. 
  * Mashup: transparency data in overlay images is utilized and can be edited.
  * New batch tool: add/change/delete any metadata for selected image files.
  * Add Text: quickly add the same text at same position to multiple image files.
  * Gallery thumbnail memory cache is self-limiting to 1 GB main memory.
  * Several small improvements in the user interface and error messages.
  * Bugfix: gallery sort by file modification date used an incorrect date/time.
  * Bugfix: possible crash in leverage edits if the edit function is canceled.
  * Bugfix: Select Area: draw/replace area edge did not work properly for areas selected by mouse painting or areas previously finished.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 02 Aug 2015 05:58:11 +0200

fotoxx (15.07-1dhor~trusty) trusty; urgency=medium

  * Menus were reorganized and the user guide was revised to match.
  * Many minor errors were corrected in the user guide.
  * Index Image Files: the user interface and messages were rationalized.
  * Undo/Redo button: the middle mouse button produces a popup list of edits done to the current image. Go back to any done or undone edit step.
  * Edit Metadata and Search Images: working with thousands of unorganized image tags was made more practical: you can type-in tags or use the pick-list.
  * New batch tool: convert tags for all image files using a from-to list.
  * New batch tool: select images (click thumbnails) to trash or delete.
  * New batch tool: find and upright all image files rotated 90 degrees.
  * Gallery navigation panel: parent directories are buttons instead of text.
  * Effects > Pencil Sketch: set any desired foreground or background color.
  * RAW image noise measure was improved (gives slightly lower values).
  * Select Area: new buttons to quickly change line color while drawing.
  * Slide Show: zoom-out from a chosen image spot (compliment of zoom-in).
  * User Options: initial view = last gallery now works for albums.
  * 4 minor bug fixes and 10 user interface improvements.

 -- Dariusz Duma <dhor@toxic.net.pl>  Thu, 02 Jul 2015 05:26:56 +0200

fotoxx (15.06-1dhor~trusty) trusty; urgency=medium

  * New: HSL Color: change the color of selected image areas using an HSL color chooser. Blend with original image to preserve existing variation.
  * Threshold Denoise algorithm was improved.
  * The Noise measurement tool was made less sensitive to RGB levels having a small gradient over the measured spot.
  * Cycle Desktop (background image): Runs in the background. Add to the startup list to get a new desktop image each logon or time period.
  * New: Set Desktop Image: Set the desktop background image from Fotoxx.
  * New slide show transition: Image falls over to reveal the next image.
  * Mashup: UI improved for adding text and lines/arrows to a layout.
  * Trim/Rotate now includes an [auto] button to remove the black image margins left by composite or warp functions. The Auto-Trim menu was removed.
  * KB shortcuts includes a button to report all the standard shortcuts.
  * Multiple UI and help text improvements.
  * Three minor bug fixes.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 02 Jun 2015 05:22:02 +0200

fotoxx (15.05-1dhor~trusty) trusty; urgency=medium

  * New: Smart Denoise: measure and reduce noise with minimal loss of detail.
    Also measure camera sensor noise using a RAW image.
  * The function Newest Images was revised to show a gallery of the newest 1000 image files, based on either EXIF photo date or file modification date.
  * Zonal Flatten: algorithm improvement and stronger deband controls.
  * New: Cycle Background: cycle Desktop background image via Fotoxx album.
  * Bugfix: Possible crash in some edit functions if the [done] button or Return key
    is pressed very quickly after adjusting a dialog control or edit curve.
  * Bugfix: Edit Metadata: tags with special characters were sometimes getting split into two tags.
  * Bugfix: Color Mode: color negative: it was sometimes possible to create invalid RGB colors which affected later color functions. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 02 May 2015 10:48:30 +0200

fotoxx (15.04.1-1dhor~trusty) trusty; urgency=medium

  * Bugfixes

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 21 Apr 2015 14:24:42 +0200

fotoxx (15.04-1dhor~trusty) trusty; urgency=medium

  * New: Zonal Flatten: enhance contrast in dull areas, even if overall 
    brightness and contrast is already well optimized (powerful, try it).
  * New: Directed Blur: 1-dimensional image blur in direction of mouse drag.
  * Properly extract thumbnails from RAW files enclosing .ppm thumbnails.
  * Album edit: View any image full size while adding and arranging images.
  * Slide Show: Support for stop show, jump to a new position, resume show.
  * Slide Show: New image transitions: implode, explode, Japanese fan.
  * Print dialog accepts margin inputs in either inches or centimeters.
  * New user setting: show or hide hidden directories in gallery view.
  * Bugfix: print dialog: displayed print size was not always correct. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 01 Apr 2015 21:41:14 +0200

fotoxx (15.03.1-1dhor~trusty) trusty; urgency=medium

  * "Rotate 90" was renamed "Upright". A button was added that detects and
    correct 90/180° rotations without guidance (based on EXIF data).
  * Batch Convert and Batch Upright detect and correct 90/180° rotations.
  * The term "Named Collection" was replaced with "Album", which is the term
    most commonly used for this type of functionality.
  * Smart Erase got an IQ upgrade to better deal with curvy objects.
  * Mashup: Black margins in overlay images (from prior warping edits or
    panorama composite) can be automatically removed (made transparent).
  * Mashup: Editing very large layouts was made more responsive.
  * Mashup: Overlay images can be warped by dragging the mouse. This can also be
    used to fix minor alignment offsets from Panorama Tools.
  * Mashup: Overlay image margins can be trimed back leaving a hard edge, or
    gradually blended with the background or other overlapped images.
  * The window title bar and gallery pages show photo time as well as date.
  * New slide show transition: image shrinks away to expose the next image.
  * Two other minor usability improvements and three minor bug fixes.  

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 04 Mar 2015 07:23:49 +0100

fotoxx (15.02-1dhor~trusty) trusty; urgency=medium

  * The indexing process for newly added image files was made faster:
    speedup is about 1.2x for a 7200 rpm disk and 1.9x for an SSD.
  * A multi-row panorama capability was added by integrating the
    Panorama Tools utilities into the Fotoxx menus. Very easy to use.
  * Slide Show: the maximum zoom-in speed was increased by 2x.
    (significant for a large or high DPI monitor or a slow computer).
  * Slide Show: the option to show captions/comments can be configured
    per image, and these can be made to vanish after a specified interval.
  * User Settings: Thumbnail file size can be set to 128/256/512 pixels 
    (default 256). 512 is a bit slower but better for a large or high DPI monitor,
    or when viewing gallery pages with the thumbnail size set to maximum.
  * Mashup: mouse-painted image transparencies are easier to control.
  * Mashup: transparency blends can be set separately for all 4 image edges.
  * Cosmetic improvements for gallery view and metadata short report.
  * Startup parameter -nosync was replaced with the more correct -noindex.
  * Bugfix: quick rotate 90 degrees: metadata was not being copied.
  * Bugfix: crash if switch to gallery view during a slide show transition.
  * Bugfix: HDR/HDF/Stack: crash if [cancel] pressed twice rapidly. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 04 Feb 2015 17:39:08 +0100

fotoxx (15.01-1dhor~trusty) trusty; urgency=medium

  * Panorama: better image projection math for more precise stitching.
  * Several slider controls were given a log scale for easier and more precise
    control of small changes near the neutral value.
  * Reduce Noise: new option: selectively apply to darker image areas.
  * Adding and editing plugins was made easier. 
  * The Plugins menu was moved into the Edit menu.
  * Gallery view has a small layout change for improved appearance.
  * Gallery popup windows: F11 toggles full screen view, Escape terminates.
  * Magnify function: user interface was made more flexible.
  * Slide Show: zoom-in limit raised to 3x. Image retains native sharpness.
  * Map View: red dots are sized for good visibility at any map scale.
  * Bugfix: Printing an edited but unsaved image file printed the original file.

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 05 Jan 2015 06:56:07 +0100

fotoxx (14.12-1dhor~trusty) trusty; urgency=medium

  * Tools > Magnify Image: New function - analogous to viewing a printed image through a magnifying glass that can be moved freely over the image.
  * Tools > User Settings: When stepping through image files with the prev/next button or KB arrow keys, there is a new option to show only the last edited
    version (or the original file if never edited)
  * Retouch Combo: The slider to emphasize darker...brighter pixels for color adjustments was made more effective.
  * New command parameter "nosync": Allows a faster startup, but search and map functions are disabled because of the risk of incorrect results. More information is in the Technical Notes section of the User Guide.
  * Select Area: The Finish dialog has a new option to extend the selection automatically to designated image corners - a time saver.
  * Bugfix: Edit Metadata was not being canceled if a conflicting function was started.
  * Bugfix: Adding geotags by clicking on a map sometimes failed.
  * Bugfix: Copy text from a dialog widget with Ctrl+C was not working.

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 01 Dec 2014 11:50:48 +0100

fotoxx (14.11-1dhor~trusty) trusty; urgency=medium

  * A world map and several larger-scale continental maps are provided in  a separate package: fotoxx-maps. These maps show locations of photos having geotags. Clicking a map location shows a gallery of thumbnail images that can be selected in turn for viewing full size or editing. A user may add more maps, and these will work the same way.
  * Gallery thumbnail popup: expanded speed and functionality for zooming thumbnails and comparing images side by side.
  * Gallery scrolling is smoother and easier to control with the mouse: scrolls faster as mouse is dragged closer to top or bottom of window.
  * Sync Gallery can now have a KB shortcut (default 'S' for new installs).
  * Bugfix: Edit Geotags: If the dialog inputs were cleared to blanks, the image geotag data was not being erased. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 03 Nov 2014 07:11:11 +0100

fotoxx (14.10.1-1dhor~trusty) trusty; urgency=medium

  * Make Waves effect: Horizontal and vertical wavelength, magnitude and variance can be set independently. More realistic appearance.
  * Drawing lines and arrows on an image or mashup montage was made easier: 
    create a line or arrow and then drag the end-points into final position.
  * Gallery popup image improvements: window fits image without margins, window and image can be scaled up or down with the mouse wheel.
  * New setting: Monitor scale: adjust panel scale for high DPI monitor.
  * Bugfix: Image date and size in the search index were not always updated when changed (this error fixed itself at the next Fotoxx startup).
  * Bugfix: The Print Image function with grid lines enabled did not print the horizontal grid lines clearly (adjacent black and white lines).
  * Bugfix: The Shift Colors function [reset] button reset the dialog controls but failed to reset the image edits.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 05 Oct 2014 22:05:48 +0200

fotoxx (14.09-1dhor~trusty) trusty; urgency=medium

  * Dialogs set focus back to the main window after use of the [apply] or [next] button, so subsequent KB shortcuts will work without extra mouse action.
  * File Save: both unsaved metadata edits and image edits are now saved.
    (Using [apply] in a metadata dialog saves only the metadata changes.)
  * Display "no more images" after deleting the last image in the current gallery (otherwise the window goes inexplicably blank).
  * Additional dialogs now restore previous inputs, also across sessions.
  * Search Images: if time is omitted in a date/time search range, then 00:00 or 23:59 is defaulted for the start or end time respectively.
  * Search Images: new option: include only the latest version of each image.
  * Batch Convert: If image files are renamed or moved and the originals are deleted, collections containing the images are updated automatically. The problematic Move Collections function was removed.
  * Gallery popup images: new option: use the same window or open another window when a thumbnail is clicked. The one window option is effectively a combined image and gallery view, with adjustable allocation of screen space between the two views, and two-click selection of each image to view.
  * Area Select: select by matching colors was made a little smarter.
  * Gallery Selection: the selection list is scrolled to keep new insertions in view.
  * There is a new utility function to find and display all duplicate images.
  * Slide Show: new option to auto-replay after reaching the end.
  * Bugfix: Manage Collections: dragging a thumbnail to the bottom of the gallery window would not scroll up if the window was maximized.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 02 Sep 2014 15:47:45 +0200

fotoxx (14.08-1dhor~trusty) trusty; urgency=medium

  * The user interface for creating or replacing a collection was improved.
  * Images within a collection can now be rearranged by dragging thumbnails.
  * New effect: Make Waves: add random waviness to an image or selected areas.
  * The Undo/Redo button combined with the 'A' key becomes Undo/Redo all edits.
  * Editing metadata in RAW images is now allowed (restriction removed).
  * A few non-obvious dialog controls now have popup tips when moused-over.
  * Open Previous File retains zoom size and position to facilitate fast comparison
    of two zoomed image versions.
  * The menu icon size is now adjustable in Tools > User Settings. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 16 Aug 2014 04:51:55 +0200

fotoxx (14.07-1dhor~trusty) trusty; urgency=medium

  * An image with selected areas can be saved to a PNG file with unselected parts transparent. This can be useful in other image editors, e.g. Gimp.
  * The main menu was made smaller to save space. Some menu-icons now use left/right mouse clicks for two functions, e.g. edit undo/redo.
  * Mashup: draw lines and arrows on an image, similarly to writing text.
  * Mashup: control of overlapping and transparent images was made easier.
  * A batch upright tool was added - find and upright images turned 90°.
  * Panorama: image matching for exposure/color differences was improved.
  * The current image on the gallery page is more strongly highlighted.
  * Raw Therapee was added as a RAW image file processing option.
  * Metadata and geotag edits were added to the right-click popup menus.
  * The world map was made 2x larger in area (a new download is required).
  * Bugfix: file rename could sometimes leave an incorrect thumbnail.
  * Bugfix: Batch RAW did not set the sRGB color space as default.
  * Bugfix: memory leak in Mashup function.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 01 Jul 2014 11:15:24 +0200

fotoxx (14.06.1-1dhor~trusty) trusty; urgency=medium

  * The gallery page could crash if the thumbnail size was minimized to zero.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 10 Jun 2014 14:47:16 +0200

fotoxx (14.06-2dhor~trusty) trusty; urgency=medium

  * The Window "tabs" paradigm was revised to improve space utilization.
  * The user guide has many minor revisions to reflect this change.
  * A custom convolution kernel can be edited and applied to an image.
  * These can also be saved to a file for later re-use.
  * Make thumbnails automatically for RAW files lacking embedded thumbnails.
  * Panorama: images can be moved and warped with the mouse to fix residual  alignment offsets (parallax, horizon shift, others).
  * Fix Perspective: move corner markers in 1-pixel steps with the KB arrow keys.
  * Trim/Rotate: move trim rectangle in 1-pixel steps with the KB arrow keys.
  * Batch Convert has new controls to sharpen output images.
  * Batch Convert RAW has new controls to resize and sharpen output images.
  * Mashup can more easily adjust image overlaps and transparencies.
  * Behave more nicely when running out of disk space.
  * 3 minor bug fixes and a few other minor improvements.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 04 Jun 2014 09:51:47 +0200

fotoxx (14.05-1dhor~trusty) trusty; urgency=low

  * Deprecated GTK functions were updated (Ubuntu >=13.10 is now required).
  * The Blur function for a large radius (>20) was made 10x faster.
  * A new function Color Drawing converts a photo into a color drawing.
  * The flakey plugins editor was improved and the functionality revised.
  * A plugin was added to clean-up a smudgy white board photo using ImageMagick.
  * Retouch Combo was revised for better control of color changes.
  * Retouch Combo can now load and save its settings from/to a file.
  * Bugfix: a memory leak in Dark/Bright Pixels was plugged.
  * Bugfix: fix desktop file (launcher) for non-English locales.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 30 Apr 2014 06:01:19 +0200

fotoxx (14.04-1dhor~trusty) trusty; urgency=low

  * The classic top menu was replaced with a vertical menu on the left side.
  * Retouch Combo: improved capability to adjust individual colors.
  * Retouch Combo: brightness distribution graph cohabits the curve edit window.
  * Retouch Combo: new control to adjust the sensitivity of the edit curves.
  * Gallery: additional slow scroll mode for scanning images visually.
  * Slide Show: specify transitions and dwell times per image where wanted.
  * Slide Show: specify zoom-in per image (speed, target center, magnification).
  * Leverage Edits is back (for some cases it is better than Paint Edits).
  * All curve edits: sharper bends can be made (closer anchor points are allowed).
  * Background Pattern: GUI is easier to use and the pattern is now resizable.
  * Bugfix: memory leak in Retouch > Brightness Distribution.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 02 Apr 2014 14:31:15 +0200

fotoxx (14.03-2dhor~trusty) trusty; urgency=low

  * Gallery view: highlight the current image with a red frame.
  * Gallery thumbnail right-click menu: new entry to pop-up a large resizable movable image. View multiple images within the gallery.
  * Mosaic: new function to convert an image into a mosaic with tiles made from all available images. Click a tile to pop-up the underlying image.
  * Pattern: new function to add a semi-transparent pattern to an image background
   (e.g. make an image seem painted on canvas or a brick wall).
  * New slide show transition: Ken Burns effect (slow zoom-in).
  * Mashup transparencies can be adjusted instantly as well as gradually.
  * Several small user interface changes were made for convenience and consistency with common practices. Speed was also improved.
  * Keyboard shortcuts editing was simplified.
  * Leverage Edits was removed (this is more easily done with Paint Edits).
  * Edit Translations was removed (unused AFAIK, and slightly buggy).
  * Bugfix: Paint/Clone: ignore source pixels beyond image edge [crash risk].
  * Bugfix: Fix memory allocation thread contention [crash risk].
  * Bugfix: If a collection once contained images that are now deleted, copy/cut/paste operations could move the wrong images.

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 03 Mar 2014 06:49:24 +0100

fotoxx (14.02.2-1dhor~trusty) trusty; urgency=low

  * Bugfix: a memory corruption problem was fixed that can cause a crash.

 -- Dariusz Duma <dhor@toxic.net.pl>  Fri, 14 Feb 2014 14:29:14 +0100

fotoxx (14.02.1-1dhor~trusty) trusty; urgency=low

  * Index Image Files (aka Synchronize) runs faster. Intermixing image files with
    100K other files under /home/user/... has little effect on speed.
    Startup time is also faster for the normal case of few new image files.
  * Retouch Combo: sliders were added for fast adjustment of overall brightness,
    contrast and color. The curves can then be hand-tuned if needed.
  * Slide Show: a new transition type simulates turning a book page.
  * Slide Show: images are clipped to exactly fit the monitor if the difference
    in aspect ratio is less than a predefined limit.
  * Slide Show: optionally show captions/comments above each image.
  * The batch Rename and Convert functions were combined for convenience.
  * Batch Convert has a new option to automatically sharpen images.
  * Paint/Clone: a "shadow" paintbrush tracks the source of copied pixels.
  * Retouch Combo, Trim/Rotate and Resize can recall prior settings for easier application to multiple images needing similar treatments.
  * Mashup: resizing/rotating an overlay image with the mouse is smoother.
  * Editing in a selected area: edge blending was made a bit smoother.
  * Search Images: select a gallery (thumbnails) report or a tabular report for
    listing desired metadata along with a thumbnail image.
  * Block metadata edits for image types not supporting this (e.g. bmp, gif).
  * Bugfix: Texture function converted RGB 0/0/0 pixels into illegal values.
  * Bugfix: Bogus error message about exceeding geotag limits.
  * Bugfix: Trim function left temporary image remnants on the window.

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 04 Feb 2014 07:02:54 +0100

fotoxx (14.01-1dhor~trusty) trusty; urgency=low

  * The main retouch functions were combined for faster workflow.
  * Select area: automatically finish areas selected by mouse painting and color matching (handle "swiss cheese" selections faster and easier).
  * Select Area: the follow-edge method can better follow edges when the mouse edge-tracking is quite imtrusty.
  * New special effect: add textured surface to an image or selected area.
  * Kuwahara sharpen method added: produces very sharp edges with loss of the smallest details.
  * All sharpen methods were made multithreaded (typical 2x speedup).
  * Slide Show transitions can optionally be used in random sequence.
  * Slide Show transition speeds can be adjusted for CPU/GPU performance.
  * Show RGB: pixel values are shown live as the mouse is moved over the image.
  * The user guide was audited and many minor corrections were made.
  * Bugfix: Mashup: preserve transparency when using saved cutout images.
  * Bugfix: Image edits were losing some special-application XMP metadata.
  * Bugfix: HDR crash if input images are not exactly the same size.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 04 Jan 2014 21:36:51 +0100

fotoxx (13.12-1dhor~trusty) trusty; urgency=low

  * An edit function can be started without closing a prior active edit function. The prior edit becomes the new base and an undo/redo position is added automatically.
  * You can step through a series of images with an open edit function. Apply the function to an image or pass over by pressing the [next] button.
  * Brightness and color functions can recall prior settings for faster application to other photos made under the same lighting conditions.
  * RAW files are now edited like other image files. Auto-copy to TIFF-16 is no longer done. Edit as usual and save in the desired format (TIFF/PNG/JPEG, 8/16 bit color).
  * Add Text: new option: retrieve and edit metadata caption/comments.
  * Captions: new option: show metadata caption/comments above each image.
  * Move Collections is more flexible: any pathname segment can be replaced.
  * Some intermediate files now use ramdisk for a small performance gain.
  * Mashup: move layout images in 1-pixel steps with the keyboard arrow keys.
  * Mashup: internal speedups, especially when painting transparency.
  * New Slide Show transition type: double doors open from the middle.
  * Log file output was made always current, like a terminal session.
  * Unsaved edits were lost if the [next] button was used beyond the last image file.
  * Curve nodes were lost when reloading saved complex edit curves.
  * Mashup: fix erratic overlay image corner drag behavior. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 03 Dec 2013 21:28:07 +0100

fotoxx (13.11-1dhor~trusty) trusty; urgency=low

  * File Sync: image navigation and viewing is now allowed (but not editing).
  * Batch Convert can upright photos made with camera turned 90 degrees.
  * Slide Show: improved capability for automatic pause at designated images.
  * Warp Linear: algorithm was revised to better approximate linearity.
  * New: Highlight darkest/brightest image areas with adjustable thresholds.
  * Select Area: expand or contract a finished area in 1-pixel steps (can reduce edge effects when editing areas selected by color matching).
  * Mashup: interface was improved to simplify and speed-up image positioning.
  * Mashup: mouse can "paint" variable transparency on images in the layout.
  * User Settings: new option to include hidden files in the gallery pages.
  * Trim/Rotate: grid lines match the trim rectangle (rule of thirds always works).
  * Zoom state is retained for Open Previous File, but reset otherwise.
  * (use this function for image A:B comparison, retaining zoom% and position)
  * Bugfix: Trim/Rotate removed vacated margins that were left intentionally.
  * Bugfix: Trim/Rotate failed to reinstate its prior grid settings.
  * Bugfix: Auto-Trim caused an endless loop under certain circumstances.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 02 Nov 2013 07:28:35 +0100

fotoxx (13.10.1-1dhor~trusty) trusty; urgency=low

  * A workaround was implemented for compatibility with GDK changes (Ubuntu 13.10).
  * A right-click popup menu can too easily execute the first entry by accident,
    because the user does not move the mouse off the menu before releasing the mouse button.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 19 Oct 2013 12:33:48 +0200

fotoxx (13.10-1dhor~trusty) trusty; urgency=low

  * Mashup images and text can be moved, resized and rotated using the mouse.
  * Trim/Crop and Rotate were combined as one function to improve workflow.
  * Rotate: click image position to add vertical and horizontal guidelines.
  * Rotate: the automatic trim option was reinstated.
  * Flatten and Expand brightness distribution were combined as one function.
  * Paint/Clone: new option to paint/erase gradually or fully in one stroke.
  * Gallery thumbnail popup menu: rotate +/-90 degrees was added.
  * Gallery [Top] button: new option to choose from named collections.
  * World map zoom: toggle full-size/fit-window without intermediate steps.
  * Slide Show: allow pause and resume at a selected image position.
  * Slide Show: an image with the tag 'pause' will beep and pause until resumed.
  *  View Metadata: option to show only captions and comments (e.g. for slide show).
  *  Making a named collection from search results (or any gallery) was simplified.
  *  CMYK function: the user interface was simplified.
  *  Warp Linear/Curved/Affine are using multiple threads for faster response.
  *  Bugfix: clickable tabular reports would not scroll with the mouse wheel.
  *  Bugfix: the interactive translation update function was broken.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 06 Oct 2013 11:20:47 +0200

fotoxx (13.09.1-1dhor~trusty) trusty; urgency=low

  * New function Mashup: arrange multiple images and text on a background.
    (move around via mouse, resize, rotate, add transparency, add font effects).
  * Metadata edit functions were combined: tags/ratings/captions/comments.
  * File save options: interface revised for clarity and mistake avoidance.
  * Window tabs now have icons instead of "F/G/W" letters.
  * Menus and toolbars have visual feedback and popup descriptions.
  * Paste a selected area: adjust brightness to better match background.
  * Fix Stuck Pixels: user feedback and responsiveness was improved.
  * File Synch: show image file counts for each subdirectory processed.
  * Bugfix: crash if menus clicked during generation of a large gallery.
  * Bugfix: Gallery file selection: select low-high range was broken.
  * Bugfix: Deleted images were not being removed from collection lists.

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 02 Sep 2013 04:33:32 +0200

fotoxx (13.08-1dhor~trusty) trusty; urgency=low

  * White Balance: a direct adjustment for color temperature was added.
  * Search Images: apply criteria iteratively to expand/reduce search results.
  * Date format (gallery, reports) changed to world standard YYYY-MM-DD.
  * Default jpeg save quality was added to the user settings.
  * New function: Graduated Blur: blur radius inversely proportional to contrast (can make faces look younger, cartoon effect when taken to extremes).
  * Sketch: a 2nd algorithm is provided which works better for some images.
  * Sketch: responds much faster to changes in dialog controls.
  * Tools > Missing Translations: omit text deliberately left as English.
  * Manage Tags: new popup report of unused tags (can be deleted).
  * Auto Trim was made much faster.
  * Trim/Crop and Rotate dialogs have minor user interface improvements. 
  * New demo videos are available on YouTube and the Fotoxx web site.
  * Bugfix: loss of correct KB Ctrl/Alt state when changed outside app focus.
  * Bugfix: right-click popup menu for main window could name a wrong file.
  * Bugfix: image rename function was not updating the gallery page.
  * Minor bugfixes: area finish, dots transform, prev/next navigation, KB shortcuts.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 03 Aug 2013 16:58:37 +0200

fotoxx (13.07-1dhor~trusty) trusty; urgency=low

  * Gallery navigation was extended with new options under the [top] button.
  * Effects > Drawing and Effects > Outline functions were combined.
  * New: Effects > Sketch: Transform a photo into a simulated sketch.
  * New: Tools > Missing Translations: list missing translations for the current language.
  * Batch Add Tags and Delete Tags were combined into a more flexible tool.
  * Edit Collections was made easier (add/delete/cut/copy/paste images).
  * New startup option: gallery of the newest images added to the database.
  * Ascending/descending option was added to the gallery sort function.
  * Gallery File Selection: a [clear] button was added.
  * Flatten and Expand Brightness Range: buttons added for popup histogram.
  * Write Text: the [apply] button updates the file as well as the memory image.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 14 Jul 2013 06:22:37 +0200

fotoxx (13.06.1-1dhor~trusty) trusty; urgency=low

  * Pano, HDR, etc. have greater latitude to warp images for better fit.
  * Warp Area: area can be pulled outside its initial boundary. 
  * Area Finish was made much faster.
  * Add Text: (write text on image) optional drop shadows were added.
  * Slide Show pause/resume: resume is immediate (no wait for timer), and the B
  * key can be used to toggle between image and blank screen (for talk time).
  * Bugfix: fix pan/scroll jerkiness with large image (bug from v.13.03).
  * Bugfix: Trim/Crop: do not limit width/height to prior width/height -1.
  * Bugfix: thumbnail generation: stop non-RAW files being passed to dcraw (causing useless error messages).
  * Bugfix: gallery display was ignoring symlinks to other directories.
  * Bugfix: (Fedora) some popup tips were white text on white background.

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 03 Jun 2013 05:22:55 +0200

fotoxx (13.05-1dhor~trusty) trusty; urgency=low

  * The Fotoxx user guide is now available in Spanish.
  * Directory navigation was simplified for multiple top image directories.
  * A Quick Start guide is shown at first Fotoxx startup (also Help > Quick Start).
  * The menu names and groupings for edit functions are more conventional.
  * User Guide addition: use an ImageMagick function as a Fotoxx edit function.
  * New user setting: pan/scroll method: with or against mouse, 1x or magnified.
  * New user setting: interpolation method used for zoomed image display.
  * An anti-alias function was added (suppress pixelation or "jaggies").
  * The Leverage Edits function was extended to include contrast as a lever.
  * The popup window for auto file sync goes away by itself (stop an irritant).
  * Workaround: ignore Unity KB shortcuts being sent to the active window.
  * New releases are now automatically notified at the next Fotoxx startup.
  * Slide Show: compensate jerky transitions introduced with Ubuntu 13.04.
  * Edit Geotags: Yahoo API died. Changed over to MapQuest. 

 -- Dariusz Duma <dhor@toxic.net.pl>  Fri, 03 May 2013 13:02:45 +0200

fotoxx (13.04.1-1dhor~trusty) trusty; urgency=low

  * The Portuguese translation was updated.
  * Translations were updated for Catalan, Dutch, Italian, Portuguese, Russian, Spanish.
  * Most image edit functions can be more rapidly applied to a bunch of images 
    (e.g. for the initial processing of fresh images from a camera).
  * Ubuntu launcher has 3 options: blank, last image, gallery of recent images.
  * Rotate +90 and -90 can have user-defined keyboard shortcuts.
  * The escape key can be used to cancel dialogs.
  * The parameter "jpeq quality" is adjustable and saved across sessions.
    "installed size" in the Debian control file was made more accurate.
  * Bugfix: crash if [Next] button is clicked rapidly with View Metadata active. 
  * Bugfix: image search index was not always updated when an edited image file was saved back to itself.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 10 Apr 2013 14:16:55 +0200

fotoxx (13.03-1dhor~trusty) trusty; urgency=low

  * Reduce Noise: improved user interface, easier to combine methods.
  * Warp Area: improved warp algorithm, easier to get desired results.
  * Warp Curved: radius of mouse/warp influence was made adjustable.
  * Custom keyboard shortcuts: replace text file with a GUI dialog.
  * Bookmarks: save gallery positions in a popup list, go to chosen position.
  * Write Text: rendering was improved, huge font sizes can be used.
  * Edit Translation: ease of use: keep dialog open after each update.
  * Better detection and notification of slowdown from memory shortage.
  * Menu rationalization: naming and grouping of edit functions.
  * Synchronize Files: progress monitor added, 50 files per dot.
  * Bugfix: Rotate and Warp functions: stop loss of custom grid settings.
  * Bugfix: Geotags: detect outdated geolocations file, request download.
  * Bugfix: Fix small flaws in cutouts saved to a file and later pasted.
  * Bugfix: Write Text: stop transparency change when [apply] is clicked.
  * Bugfix: Directory names containing quotes could not be opened.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 02 Mar 2013 05:52:18 +0100

fotoxx (13.02-2dhor~trusty) trusty; urgency=low

  * Color space conversion via LCMS was added (e.g. Adobe RGB <--> sRGB).
  * Square and flatten a photo of a book page. The print is stretched where the page curves down at the binding, making it easier to read.
  * Transform a photo into a cartoon-like drawing.
  * Image date/time in the search index has 1 second resolution instead of 1 day (an index re-synch is required, which may need some time).
  * The thumbnail gallery view can be sorted by file name, file mod date, or photo date (from EXIF). The date displayed is determined by the sort.
  * RAW files converted to tiff/png/jpeg now retain all available metadata.
  * The brightness distribution graph allows selection of the colors to show, and reflects only the visible area if an image is zoomed bigger than the window.
  * The first startup after installing a new release shows the release notes in a popup window.
  * The edit function summary table and other small help files can be viewed in the locale language if translations are available.
  * The GUI translation method was slightly simplified, and the guide document "translations" was revised accordingly.
  * Small popup texts (tooltips) go away by themselves after a few seconds.
  * PNG images with 16-bit color were being written with the bytes swapped, making them incompatible with Gimp and other editors.
  * Geotag search for city/country was not working if latitude and longitude were left at "null" (i.e. values never input).
  * Open RAW from a gallery thumbnail left a popup text permanently open.
  * Window width was sometimes impossible to reduce without restarting the app.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 02 Feb 2013 20:12:53 +0100

fotoxx (13.01.1-1dhor~trusty) trusty; urgency=low

  * The French, Catalan and Netherlands translations were updated.
  * A vertical menu/toolbar option was added for better utilization of modern wide-screen monitors.
  * Gallery view: image size and date were added to the view.
  * Gallery view: mouse hover on a thumbnail shows a popup metadata report.
  * Manage Collections: the user interface was reworked to make it easier to use.
  * Icons for all edit functions were added for use in the Favorites menu.
  * Gallery file selection: multiple images can be selected for insertion or deletion, making re-arrangement of the sequence faster and easier.
  * Favorites menu: ignore small inadvertent drags from flying mouse clicks which can cause accidental displacement of the menu entries.
  * Brightness histogram: added "overall" graph to existing R/G/B graphs.
  * Missing popup mini-explanations (tips) for some menus were added.
  * Bugfix: some metadata functions crashed if index file sync was disabled.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 09 Jan 2013 18:14:02 +0100

fotoxx (12.12-1dhor~trusty) trusty; urgency=low

  * New false color tool: gradually change selected colors into other colors.
  * Slide Show: Save selected images as a collection. Modify and re-use.
  * Thumbnail gallery window now suppresses hidden subdirectories.
  * Minor UI improvements for geotag dialogs using the world map.
  * Select Area: An additional selection method can speed-up some tasks.
  * Paint Pixels: Minor UI changes to better conform with common practice.
  * Batch convert/resize/move: optional resize, optional delete originals.
  * Batch Rename: Sequence number can be placed anywhere in the base name.
  * New right-click menu convenience tools: rename, copy, move, trash ...
  * Translation (.po) files are compressed, reducing package size 0.7 MB.
  * Bugfix: Slide Show omitted file versions selected out of sequence.
  * Bugfix: gallery file chooser: shift+click was sometimes ignored.
  * Bugfix: Sync Files memory leak (significant for huge image library).
  * Bugfix: EXIF edit history was not complete for re-edited images.
  * Bugfix: Select Area finish failed if window auto focus from mouse is used.
  * Bugfix: incorrect scaling of 16-bit PNG files.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 02 Dec 2012 15:43:34 +0100

fotoxx (12.11-1dhor~trusty) trusty; urgency=low

  * Simplify world map zoom/pan/scroll: now works more like image files.
  * Simplify the display of images from a clicked world map location.
  * Icons in the favourites menu can have individual sizes up to 64x64.
  * Select image files ad hoc from the gallery/navigator window.
  * Pause slide show, open gallery, navigate elsewhere, resume slide show.
  * Another animated image transition type was added, "Raindrops".
  * Gallery file selection: a range of files can be selected with shift+click.
  * Brightness distribution graph has separate RGB color components.
  * Menu shortcuts: a new right-click popup menu offers many edit options.
  * Keyboard shortcuts: use F/G/W keys to open window tabs F/G/W respectively.
    (Grid shortcut was moved to Ctrl+G, which can be changed if wanted)
  * The rigid free memory check was replaced with a more flexible warning.
  * Several deprecated GTK functions were replaced with sanctioned versions.
  * Synchronize Files: A "cancel" button is available to temporarily bypass.
  * Slide Show: skip over directory files instead of stopping.
  * Leverage Edits: stop erratic results from a strongly sloped curve.
  * Resize: prevent tiny image size that can cause a crash.
  * Stop loop if Prev/Next button is used after the last file was deleted.
  * Stop image files from appearing twice in the search index file.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 18 Nov 2012 17:46:23 +0100

fotoxx (12.10.1-1dhor~trusty) trusty; urgency=low

  * Bugfix: Catalan was missing from the GUI language options.
  * Bugfix: Monitor Gamma: check that the xgamma program is installed before trying to use it.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 24 Oct 2012 17:16:38 +0200

fotoxx (12.10-1dhor~trusty) trusty; urgency=low

  * The user manual and F1 help are now available in Castilian Spanish.
  * The search index was revised for greater scalability. Metadata edits and related image searching should remain fast beyond 500K images. A fresh resync of the search index will be done at first startup.
  * A custom graphic menu in a popup window was implemented. Frequently used functions can be added and the layout arranged to taste.
  * RAW files can be opened in Ufraw (via menu or gallery thumbnail click).
  * A more trusty world map was implemented (a new download will be required when a geotag function is used).
  * Large image files open 30% faster and memory consumption is reduced.
  * The batch RAW file converter now has a dialog to configure the parameters.
  * Alternative pan/scroll mode: image sticks to mouse and moves with mouse.
  * Stop unnecessary refreshes of the image gallery for metadata edits.
  * Added support for exotic PNG formats (e.g. palletized) via the GTK library.
  * Vignette bugfix: stop radius increase if vignette is moved off-center.

 -- Dariusz Duma <dhor@toxic.net.pl>  Sun, 30 Sep 2012 19:38:27 +0200

fotoxx (12.09.1-1dhor~trusty) trusty; urgency=low

  * RAW files can be opened via the menu, command line or drag and drop.
  *  RAW files can now be seen in the thumbnail galleries like other image files.
  *  The RAW file editing tool Ufraw was integrated into the Fotoxx menu.
  *  RAW file batch conversion parameters (dcraw) are now user configurable.
  *  RAW file batch conversion is faster (about 50/minute on a strong PC).
  *  A wavelet denoise method was added (adapted from ufraw/dcraw).
  *  Deep color PNG files are now supported (16 bits/color).
  *  Vignette: the center of shading/brightening can be moved with the mouse.
  *  Images can be copied to the clipboard with a right-click popup menu.
  *  Trim: a target circle was added in the middle of the trim rectangle.
  *  A World map shows locations of geotagged photos. Click on a location to see a gallery of images from that location.
  *  The user interface was simplified for location-based or map-based image search.
  *  A new function was added to remove chromatic abberation (color fringes).
  *  Select area by mouse and color: the user interface was slightly improved.
  *  More dialogs preserve user inputs within and across Fotoxx sessions.
  *  A new command line option: start up with a specified menu function.
  *  Panorama: new option for zero image curve (e.g. to combine scanned images).
  *  The gallery is updated live if a file is added/deleted from outside Fotoxx.
  *  Bugfix: click geotag group: the gallery window sometimes did nothing.
  *  Bugfix: memory leak when processing metadata (tags, captions ...).

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 04 Sep 2012 06:35:20 +0200

fotoxx (12.08-1dhor~trusty) trusty; urgency=low

  * Menus now show a popup descriptions if the mouse dwells on the menu.
  * Auto-synchronization (indexing of new image files) was made optional. If disabled, metadata edit and search functions are also disabled. These can be restored at any time by synchronizing the image files.
  * The size of a printed image (in centimeters) can be set in advance.
  * A 1-click sepia coloring was added (aged photo effect).
  * If Linux standard trash and desktop trash folder both fail (possible with some distros) give the option to simply delete the image file.
  * Painting and scrolling the gallery window was made faster. 
  * Navigating the gallery window to other directories was simplified.
  * A gallery from an image search or collection can be discarded and replaced with a directory gallery using a toolbar button. Open file button also works.
  * Bugfix: Edit Collections: keep the gallery window scroll position stable when adding or removing images from a collection.
  * Bugfix: If the initial gallery window is list view (no thumbnails), then the gallery window displays only a blank window. 
  * Bugfix: Crash if a retouch function is "painted" with the mouse and and the function is canceled before any change is made.
  * Bugfix: Show RGB [clear] button cleared image labels but not the dialog itself.

 -- Dariusz Duma <dhor@toxic.net.pl>  Mon, 30 Jul 2012 13:07:34 +0200

fotoxx (12.07-1dhor~trusty) trusty; urgency=low

  * Tabs are now used to switch between the image and gallery windows.
  * List Geotag Groups by country, country/city, or country/city/date. 
  * Nearby dates can be grouped together. Click a listed group to get a 
    corresponding thumbnail gallery, view or edit images from there.
  * Click a location on a world map, get a corresponding gallery of images.
  * Several small UI improvements in geotag edit and report functions.
  * Bugfix: Edit Collection: removing images was sometimes not possible
    if some other images in the collection had been deleted from disk.
  * Bugfix: memory leak if successive images were viewed in rapid sequence.
  * Bugfix: Art > Dots treatment was destroyed when the image was saved.
  * Bugfix: crash in Open Recent File if the first file had been deleted.

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 04 Jul 2012 05:03:53 +0200

fotoxx (12.06.1-1dhor~trusty) trusty; urgency=low

  * New upstream version
    2012.06.01  v.12.06.1
    bugfix: version check for exiftool failed for locales having a comma
    decimal point instead of a period (e.g. 8,60 instead of 8.60). 

    2012.06.01  v.12.06
    + The Spanish and Galician translations were updated (as of v.12.05).
    + Package exiftool version 8.60 or later is now a requirement.
      (this translates into Ubuntu 11.10 or later)
    + New: List geotag groups (city, country, date, image count), click on a 
      group to show a thumbnail gallery, click thumbnails to view or edit.
    + Added and revised geotag locations were separated from the download
    set, 
      to make them easier to keep when changing computers or Linux releases.
    + Geotag search for "null" can be used to find images with go geotags
      (also within other search criteria such as date).
    + New: Voodoo retouch function improves most images with one click.
    + Thumbnail files are now .jpeg instead of .png. Initialization after a
      new install is about 40% faster, and thumbnails are 1/3 as large.
    + There are now three thumbnail options: no thumbnails, thumbnails in the
      image directories (as before), or use a designated thumbnail directory.
    + Flatten Distribution: prevent "color bands" in monotone bright areas.
    + Rotate function user interface was improved and made more responsive.
    + Keyboard shortcuts can be revised and new ones added by the user.
    + Stop popup messages from getting hidden behind other windows.
    + Block "save to file" if an edit dialog is active (unpredictable
    result).
    + Edit history log was moved from EXIF:EditStatus to EXIF:ImageHistory
      because this is the de facto standard.
    + Metadata reports were changed to use EXIF tag names instead of tag
      descriptions. These are needed to directly edit metadata.
    + Slide Show: added continuous loop option (last goes back to first).
    + Trim: new option to start automatically for each new file opened
      (work through a batch of new photos more quickly).
    + Trim: convenience button to do rotate and return to trim.
    + The [prev] and [next] buttons pre-load the next file ahead of need.
      This can speed-up sequential viewing of images on a slow computer.
    + F11 toggles main window to full-screen (no menu/toolbar) and back.
    + Bugfix: geotag retrieval failure with photos from some cameras.
    + Bugfix: Keyboard shortcut T (for Trim) caused a crash.

 -- Dariusz Duma <dhor@toxic.net.pl>  Fri, 01 Jun 2012 19:36:22 +0200

fotoxx (12.05-1~getdeb2~trusty) trusty; urgency=low

  * New upstream version
    + Geotagging and reporting was added. Geotags may be entered using city
      names, with substring matching. Click the wanted city from multiple
      candidates. Multiple images can be processed rapidly. Batch processing
      is also available. Search images by city [country] or within radius of
      a given location. Output is a gallery of clickable thumbnails. Select
      locations to assign or search from a world map. Database has 3000+
      cities and others can be added as needed from a web geocoding service.
    + Search Images function was simplified. Searching by date, rating, tags,
      comments, caption, filename, geotags, and any other metadata is in one
      GUI with buttons to select the unusual options.
    + Bugfix: captions and comments with imbedded quotes were causing some
      metadata edits to fail (do nothing).
    + Bugfix: stop GUI lockup if window is resized by user while panorama or
      other composite function is still computing.
    + Bugfix: stop paranoia if an image directory is read-only and thumbnail
      subdirectory cannot be created - just leave out the thumbnails.
    + Bugfix: GUI was too difficult to view and edit the same collection.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 22 Apr 2012 11:30:50 +0200

fotoxx (12.04-1~getdeb2~trusty) trusty; urgency=low

  * New upstream version
    + Select Area by color tones is almost 2x faster with less flicker.
    + New: Erase an object by overpainting with selected background.
    + New: Vignette Tool: change brightness or color in a radial pattern.
    + Art > Tiles: an optional 3D depth effect was added.
    + Edit Pixels: do area edge blending same as other edit functions.
    + Gamma Curve: buttons [++] etc. added as in brightness/color curves.
    + Select Area: "tweak" mode added: nudge an edge line using the mouse.
    + White Balance: slider added to adjust the impact from 0 to 100%.
    + Gallery window navigation was made a little more flexible.
    + First time startup: initial thumbnail creation and image file indexing
      is 2x faster (2000+ images/min. on a strong PC with 4 cpu cores).
    + New: Help > Log File: view the current (live) log file.
    + Memory allocation failure: no crash, exit with a reasonable message.
    + Bugfix: rare crash when a concurrent edit function completes.

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 13 Apr 2012 21:25:08 +0200

fotoxx (12.03.2-1~getdeb2~trusty) trusty; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 10 Apr 2012 20:22:30 +0200

fotoxx (12.01.2-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Refreshed patch:
    - debian/patches/makefile_changes.patch
    - debian/patches/docs_dir.patch

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 04 Jan 2012 23:14:41 +0700

fotoxx (11.11.1-1) unstable; urgency=low

  * New upstream release
    
  * debian/watch
    -Fix lintian warning: debian_watch_contains_dh_make_template
  
  * debian/rules
    -Remove -XTRANLATIONS -XCHANGES params in dh_compress.
    -Fix lintian warning: debian_rules_missing_recommends_targets
    -Add symlink to avoid duplicate documentation at intalldocs rule.
    -Remove unnecessary files.
 
  * debian/control
   -Bump Standars-Version to 3.9.2
   -Remov libfreeimage-dev, libimage-exiftool-perf from
     Build-Depends
   -Add xgd-utils and libimage-exiftool-perf to Recommends
   -Add brasero to Suggests

  * debian/copyright
    -Update copyright to 2010, 2011
   
  * debian/patches/ 
    -Fix lintian warning format-3.0-but-debian-changes-patch and
     (closes: #643119) by creating:
    -docs_dir.patch: changes upstream sources for the program to
     know where documentation is installed
    -makefile_changes.patch: edit makefile for installation
     Removes the depencies check by dependencies.sh. (closes: #622315)
     Fix FTBFS with binutils-gold. (closes: #610545)
     fotoxxfotoxx.desktop was created by mistake. (closes: #610544)
     Thanks to Mahyuddin Susanto.
  
  * debian/doc-base
    -Register fotoxx user guide documentation.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 07 Nov 2011 16:37:55 -0300
 
fotoxx (10.7-1) unstable; urgency=low

  * New upstream release
  * debian/control
    -Bump Standars-Version to 3.9.0 No further changes.
    -Changed Reccommends: ufraw-batch instead of ufraw. closes: #583084.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 08 Jul 2010 18:24:21 -0300

fotoxx (10.3.1-1) unstable; urgency=low

  * New upstream release
  * Switch to quilt (3.0)
  * debian/control
    -Bump Standars-Version to 3.8.4 No further changes.
    -Added libtiff4-dev to Build-Depends.
  * New versions of fotoxx don't suggest printoxx anymore. closes: #582244

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 22 May 2010 13:37:32 -0300

fotoxx (9.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Wed, 06 Jan 2010 23:03:44 -0300

fotoxx (8.7-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 26 Nov 2009 18:59:39 -0300

fotoxx (8.6.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 29 Oct 2009 19:34:43 -0300

fotoxx (8.6-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 13 Oct 2009 23:05:46 -0300

fotoxx (8.5.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 10 Oct 2009 13:06:31 -0300

fotoxx (8.4.3-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 22 Sep 2009 08:08:16 -0300

fotoxx (8.4.1-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 14 Sep 2009 22:44:23 -0300

fotoxx (8.3-1) unstable; urgency=low

  * Initial release (Closes: #504360)

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 20 Aug 2009 12:27:47 -0300
